Subject: Re: bug#16731: 24.3.50; Latin small letter sharp s is not considered lower-case

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Feb 2014 20:18:59 +0200

> From: Juanma Barranquero <[email-masked]>
> Date: Thu, 13 Feb 2014 18:58:04 +0100
> Cc: Stefan Monnier <[email-masked]>, [email-masked]
> 
> On Thu, Feb 13, 2014 at 5:33 PM, Eli Zaretskii <[email-masked]> wrote:
> 
> > If the approach below is accepted, a related question is how to treat
> > letters whose category is Lt, i.e. "titlecase" -- do we consider such
> > letters upper case or don't we?
> 
> No Unicode expert, but this suggest they are uppercase, sort of:
> 
> http://www.unicode.org/faq/casemap_charprop.html
> 
> "Q: What is titlecase? How is it different from uppercase?
> 
> A: Titlecase takes its name from the case format used when forming a
> title, in which the initial letter in a word is capitalized and the
> rest are not. Titlecase is also used in forming a sentence by
> capitalizing the first word, and for forming proper names. The
> titlecase mapping in the Unicode Standard is the mapping applied to
> the initial character in a word.
> 
> The titlecase mapping in Unicode differs from the uppercase mapping in
> that a number of characters require special handling. These are
> chiefly ligatures and digraphs such as 'fl', 'dz', and 'lj', plus a
> number of polytonic Greek characters. For example, U+01C7 (LJ) maps to
> U+01C8 (Lj) rather than to U+01C9 (lj)."

The question is whether we want [:upper:] to match titlecase letters.